<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/kludge.css">
    <title>Kludge</title>
</head>
<body>
    <h1>Parts</h1>
    <p>You may have <a href="parts_menu.html" target="_blank">all the parts on a separate window by clicking here</a>.
    Safari users <a href="https://caniuse.com/broadcastchannel">might not be able to use this feature</a>.</p>

    <div id="parts">
        <div>Loading parts...</div>
        <span><img src="./svg/generic/blank.svg" alt="part" class="ComponentGrid"></span>
        <span><img src="./svg/generic/joint-1234.svg" alt="part" class="ComponentGrid"></span>
    </div>

    <h2>Current part</h2>
    <span id="current_part"><img src="./svg/generic/joint-1234.svg" alt="part" class="ComponentGrid"></span>

    <h1>Grid</h1>

    <div id="grid_div">

        <table id="grid" class="KludgeGrid">
            <tr><td colspan=5>Loading Kludge...</td></tr>
        </table>

    </div>

    <h1>Export schematic</h1>
    <p><input type="submit" id="export_txt" value="Export as TXT"></p>
    <p><input type="submit" id="export_svg" value="Export as SVG"></p>

    <h1>Import schematic</h1>
    <p><textarea id="import_text" placeholder="Paste your exported schematic here"></textarea></p>
    <p><input id="import_button" type="submit" value="Import"></p>

    <!-- This div below will not be visible. Used for processing downloads -->
    <div id="hidden_div" class="HiddenStuff">
    </div>

    <!-- All parts as iframes so that the SVG source code is accesible -->
    <div id="iframes_div" class="HiddenStuff">
    </div>

    <script src="js/parts.js"></script>
    <script src="js/kludge.js"></script>
    <script src="js/kludge-keyboard.js"></script>
    <script src="js/kludge-startup.js"></script>

</body>
</html>
